Subject: Re: Parrse Error at line 100
From: [email-masked] (Farshad Mahjoubi)
To: [email-masked]
Cc: [email-masked]
Date: Fri, 30 Jul 1999 10:20:46 -0400

Any Idea why I am getting this Parse Error at line 100(#if INT_MAX == 32767)
 in /cygnus/cygwin-b20/h-i586-cygwin32/i586_cygwin32/include/config.h ?

I have attached the config.h file here.

If I changed the line to

#ifdef INT_MAX

My copilation will go though..

Nay help would be appriciated.

Thanks Farshad...

--=====================_933361560==_
Content-Type: text/plain; charset="us-ascii"

--- makebcc_NT Starting on  Fri Jul 30 10:42:18  1999

/cygnus/cygwin-b20/h-i586-cygwin32/bin/make -C libcompat all
/cygnus/cygwin-b20/h-i586-cygwin32/bin/make -C libutil all
/cygnus/cygwin-b20/h-i586-cygwin32/bin/gcc -g -pipe -Wall
-D__USE_FIXED_PROTOTYP
ES__   -D__EXTRA_SETS_DUE_TO_SIMULATED_MIB__ -DPROTOCHECK -Wno-comment
-DROUTER
-I../port/CYGWIN_NT -I../port/host -I. -I../tcllite  -idirafter
//d/farbcc/tree/
rtr/include -I//d/farbcc/tree/rtr/cdl/_common
-I//d/farbcc/tree/rtr/edl/_common
-I//d/farbcc/tree/rtr/bin/_x86_cygwin_nt_4
-I//d/farbcc/tree/rtr/bin/_sun4_4.1 -
c -o ../_CYGWIN_NT-4.1-x86-ROUTER/byteroutines.o byteroutines.c
In file included from
\cygnus\cygwin-b20\h-i586-cygwin32\bin\..\lib\gcc-lib\i586
-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\sys/types.h:27,
                 from ..\port\host\bcc_platform.h:4,
                 from byteroutines.h:5,
                 from byteroutines.c:3:
\cygnus\cygwin-b20\h-i586-cygwin32\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.9
1.57
\include\stddef.h:337: warning: `offsetof' redefined
\\d\farbcc\tree\rtr\include\types.h:63: warning: this is the location of
the pre
vious definition
In file included from
\cygnus\cygwin-b20\h-i586-cygwin32\bin\..\lib\gcc-lib\i586
-cygwin32\egcs-2.91.57\..\..\..\..\i586-cygwin32\include\_ansi.h:15,
                 from ..\port\CYGWIN_NT\stdio.h:32,
                 from ..\port\host\bcc_platform.h:7,
                 from byteroutines.h:5,
                 from byteroutines.c:3:
\cygnus\cygwin-b20\h-i586-cygwin32\bin\..\lib\gcc-lib\i586-cygwin32\egcs-2.9
1.57
\..\..\..\..\i586-cygwin32\include\sys/config.h:100: parse error
make[1]: *** [../_CYGWIN_NT-4.1-x86-ROUTER/byteroutines.o] Error 1
--=====================_933361560==_
Content-Type: text/plain; charset="us-ascii"
Content-Disposition: attachment; filename="Config.h"

#ifndef __SYS_CONFIG_H__
#define __SYS_CONFIG_H__

/* exceptions first */
/* ??? Why is much of this stuff duplicated with machine/ieeefp.h?  */
#if defined(__H8300__) || defined(__H8500__) || defined (__H8300H__) ||  defined(__W65__) || defined (__H8300S__)
#define _FLOAT_ARG float
#define __SMALL_BITFIELDS
#define _DOUBLE_IS_32BITS
#define __IEEE_BIG_ENDIAN
/* ???  This conditional is true for the h8500 and the w65, defining H8300
   in those cases probably isn't the right thing to do.  */
#define H8300 1
#endif

#ifdef __W65__
#define _DOUBLE_IS_32BITS
#define __SMALL_BITFIELDS
#define __IEEE_BIG_ENDIAN
#undef INT_MAX
#undef UINT_MAX
#define INT_MAX 32767
#define UINT_MAX 65535

#endif

/* 16 bit integer machines */
#if defined(__Z8001__) || defined(__Z8002__) || defined(__H8300__) || defined(__H8500__) || defined(__W65__) || defined (__H8300H__) || defined (__H8300S__) || defined (__mn10200__)

#undef INT_MAX
#undef UINT_MAX
#define INT_MAX 32767
#define UINT_MAX 65535
#endif

#if defined(__D10V__)
#undef INT_MAX
#undef UINT_MAX
#define INT_MAX __INT_MAX__
#define UINT_MAX (__INT_MAX__ * 2U + 1)
#define _DOUBLE_IS_32BITS
#define _POINTER_INT short
#define __IEEE_BIG_ENDIAN
#endif

#ifdef ___AM29K__
#define _FLOAT_RET double
#endif

#ifdef __i386__
#ifndef __unix__
/* in other words, go32 */
#define _FLOAT_RET double
#endif
#endif

#ifdef __M32R__
#define __IEEE_BIG_ENDIAN
#endif

#ifdef __m68k__
/* This is defined in machine/ieeefp.h; need to check is it redundant here? */
#define __IEEE_BIG_ENDIAN
#endif

#ifdef __mn10300__
#define __IEEE_LITTLE_ENDIAN
#endif

#ifdef __mn10200__
#define _DOUBLE_IS_32BITS
#define __SMALL_BITFIELDS
#define __IEEE_LITTLE_ENDIAN
#endif

#ifdef __v850
#define __IEEE_LITTLE_ENDIAN
#define __ATTRIBUTE_IMPURE_PTR__ __attribute__((__sda__))
#endif

#ifdef __D30V__
#define __IEEE_BIG_ENDIAN
#endif

/* For the PowerPC eabi, force the _impure_ptr to be in .sdata */
#if defined(__PPC__) && defined(_CALL_SYSV)
#define __ATTRIBUTE_IMPURE_PTR__ __attribute__((__section__(".sdata")))
#endif

#ifdef __sparc__
#ifdef __LITTLE_ENDIAN_DATA__
#define __IEEE_LITTLE_ENDIAN
#else
#define __IEEE_BIG_ENDIAN
#endif
#endif

#if INT_MAX == 32767
/*#ifdef INT_MAX*/
typedef long int __int32_t;
typedef unsigned long int __uint32_t;
#else
typedef int __int32_t;
typedef unsigned int __uint32_t;
#endif

#ifndef _POINTER_INT
#define _POINTER_INT long
#endif

#endif /* __SYS_CONFIG_H__ */

--=====================_933361560==_--

----------- End Forwarded Message -----------

--
Want to unsubscribe from this list?
Send a message to [email-masked]